bionic/linux-oracle: 4.15.0-1023.26 -proposed tracker

Bug #1842773 reported by Khaled El Mously on 2019-09-05
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Khaled El Mously
Prepare-package-lrm
Medium
Khaled El Mously
Prepare-package-meta
Medium
Khaled El Mously
Prepare-package-signed
Medium
Khaled El Mously
Promote-to-proposed
Medium
Andy Whitcroft
Promote-to-security
Medium
Andy Whitcroft
Promote-to-updates
Medium
Andy Whitcroft
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Canonical Security Team
Verification-testing
Medium
Canonical Kernel Team
linux-oracle (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

-- swm properties --
boot-testing-requested: true
kernel-stable-master-bug: 1842746
packages:
  lrm: linux-restricted-modules-oracle
  main: linux-oracle
  meta: linux-meta-oracle
  signed: linux-signed-oracle
phase: Complete
phase-changed: Tuesday, 10. September 2019 20:10 UTC
proposed-announcement-sent: true
proposed-testing-requested: true
trackers:
  xenial/linux-oracle: bug 1842772
variant: debs

tags: added: bionic kernel-release-tracking-bug
Changed in linux-oracle (Ubuntu Bionic):
status: New → Confirmed
Changed in linux-oracle (Ubuntu):
status: New → Invalid
Changed in linux-oracle (Ubuntu Bionic):
importance: Undecided → Medium
tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-2019.08.12-12
description: updated
tags: added: kernel-sru-derivative-of-1842746
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
summary: - linux-oracle: <version to be filled> -proposed tracker
+ bionic/linux-oracle: <version to be filled> -proposed tracker
description: updated
summary: - bionic/linux-oracle: <version to be filled> -proposed tracker
+ bionic/linux-oracle: 4.15.0-1023.26 -proposed tracker
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
tags: added: block-proposed-bionic
tags: added: block-proposed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Sean Feole (sfeole) on 2019-09-09
tags: added: regression-testing-passed
description: updated
description: updated
description: updated
description: updated
tags: removed: block-proposed-bionic
tags: removed: block-proposed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oracle - 4.15.0-1023.26

---------------
linux-oracle (4.15.0-1023.26) bionic; urgency=medium

  * bionic/linux-oracle: 4.15.0-1023.26 -proposed tracker (LP: #1842773)

  [ Ubuntu: 4.15.0-62.69 ]

  * bionic/linux: 4.15.0-62.69 -proposed tracker (LP: #1842746)
  * Kernel Panic with linux-image-4.15.0-60-generic when specifying nameserver
    in docker-compose (LP: #1842447)
    - ip: frags: fix crash in ip_do_fragment()

  [ Ubuntu: 4.15.0-60.67 ]

  * bionic/linux: 4.15.0-60.67 -proposed tracker (LP: #1841086)
  * [Regression] net test from ubuntu_kernel_selftests failed due to bpf test
    compilation issue (LP: #1840935)
    - SAUCE: Fix "bpf: relax verifier restriction on BPF_MOV | BPF_ALU"
  * [Regression] failed to compile seccomp test from ubuntu_kernel_selftests
    (LP: #1840932)
    - Revert "selftests: skip seccomp get_metadata test if not real root"
  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis

 -- Khalid Elmously <email address hidden> Wed, 04 Sep 2019 22:01:22 -0400

Changed in linux-oracle (Ubuntu Bionic):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oracle - 4.15.0-1023.26~16.04.1

---------------
linux-oracle (4.15.0-1023.26~16.04.1) xenial; urgency=medium

  * xenial/linux-oracle: 4.15.0-1023.26~16.04.1 -proposed tracker (LP: #1842772)

  [ Ubuntu: 4.15.0-1023.26 ]

  * bionic/linux-oracle: 4.15.0-1023.26 -proposed tracker (LP: #1842773)
  * bionic/linux: 4.15.0-62.69 -proposed tracker (LP: #1842746)
  * Kernel Panic with linux-image-4.15.0-60-generic when specifying nameserver
    in docker-compose (LP: #1842447)
    - ip: frags: fix crash in ip_do_fragment()
  * bionic/linux: 4.15.0-60.67 -proposed tracker (LP: #1841086)
  * [Regression] net test from ubuntu_kernel_selftests failed due to bpf test
    compilation issue (LP: #1840935)
    - SAUCE: Fix "bpf: relax verifier restriction on BPF_MOV | BPF_ALU"
  * [Regression] failed to compile seccomp test from ubuntu_kernel_selftests
    (LP: #1840932)
    - Revert "selftests: skip seccomp get_metadata test if not real root"
  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis

 -- Khalid Elmously <email address hidden> Wed, 04 Sep 2019 23:24:33 -0400

Changed in linux-oracle (Ubuntu):
status: Invalid → Fix Released
description: updated
description: updated
description: updated
description: updated
description: updated

All tasks have been completed and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
tags: removed: kernel-release-tracking-bug-live
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers